import Layout from '@/layout'

const backstageRouter = {
  path: '/backstage',
  component: Layout,
  redirect: 'noRedirect',
  name: 'backstageSet',
  meta: {
    title: '后台管理',
    icon: 'example'
  },
  children: [
    {
      path: 'account',
      component: () => import('@/views/backstage/account'),
      name: 'backstage_account',
      meta: { title: '账号管理', noCache: true,icon: 'example' }
    },
    {
      path: 'role',
      component: () => import('@/views/backstage/role'),
      name: 'backstage_role',
      meta: { title: '角色管理', noCache: true }
    }
  ]
}

export default backstageRouter
